####################################
##  filename: grants_gov.ddl
##  Created by: grants.gov
##  Date: 2003-07-14
##  Modified by: 
##  Modified date: 
####################################

DB_NAME="grants_gov"
DDL_SCRIPT="./grants_gov.ddl"
# DATA_SCRIPT="./grants_gov.sql"
# DROP_ALL_SCRIPT="./grants_gov_dropall.sql"


if [ ! -z "$1" ];
then
	DB_NAME=$1
fi

echo "====================================================================================="
echo "Deleting ==> ${DB_NAME} <=="
mysqladmin drop ${DB_NAME}

echo
echo "Database Name is ===>  ${DB_NAME}  <=== "
echo

echo "======================================================================================"
echo "Creating Database:  mysqladmin create ${DB_NAME} "
mysqladmin create ${DB_NAME}
echo "======================================================================================"
echo "Creating the DDL: mysql ${DB_NAME} < ${DDL_SCRIPT}"
mysql ${DB_NAME} < ${DDL_SCRIPT}
echo "======================================================================================"
# echo "Inserting Test Data: mysql ${DB_NAME} < ${DATA_SCRIPT}"
# mysql ${DB_NAME} < ${DATA_SCRIPT}
echo 
echo "Install DONE."

